Groovy Documentation

## org.codehaus.groovy.grails.compiler.injection
[Java] Class GrailsAwareInjectionOperation

    java.lang.Object
      org.codehaus.groovy.grails.compiler.injection.GrailsAwareInjectionOperation

    public class GrailsAwareInjectionOperation

A Groovy compiler injection operation that uses a specified array of ClassInjector instances to attempt AST injection.

Authors:
  Graeme Rocher

Since:
  0.6

Constructor Summary
`GrailsAwareInjectionOperation(groovy.lang.GroovyResourceLoader resourceLoader, ClassInjector[] injectors)`

Method Summary
`void` | `call(org.codehaus.groovy.control.SourceUnit source, org.codehaus.groovy.classgen.GeneratorContext context, org.codehaus.groovy.ast.ClassNode classNode)`

Methods inherited from class java.lang.Object
java.lang.Object#wait(), java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Constructor Detail

### GrailsAwareInjectionOperation

    public GrailsAwareInjectionOperation(groovy.lang.GroovyResourceLoader resourceLoader, ClassInjector[] injectors)

Method Detail

### call

    @Override
    public void call(org.codehaus.groovy.control.SourceUnit source, org.codehaus.groovy.classgen.GeneratorContext context, org.codehaus.groovy.ast.ClassNode classNode)

Groovy Documentation